﻿/* Layout */

.outer-container {
    position: relative;
    display: flex;
    height: 100%;
    overflow: hidden;
    padding-left: var(--left-nav-width, 350px);
}

html[dir="rtl"] .outer-container {
    padding-left: 0;
    padding-right: var(--left-nav-width, 350px);
}

.inner-container {
    flex-grow: 1;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.left-nav-container {
    border-inline-end: var(--alfa-left-nav-border-right);
    background: var(--alfa-masthead-background);
    padding-block-start: 1rem;
    color: var(--alfa-masthead-font-color);
    position: fixed;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 1000;
    display: flex;
    flex-flow: column;
}

html[dir="rtl"] .left-nav-container {
    right: 0;
    left: unset;
    border: 0;
    border-left: var(--alfa-left-nav-border-right);
}

body:has(.left-nav-container.collapsed) .outer-container {
    transition: padding 0.5s;
    padding-left: 56px;
}

html[dir="rtl"] body:has(.left-nav-container.collapsed) .outer-container {
    padding-right: 70px;
    padding-left: 0;
}

#LeftNavMenuDiv {
    width: 350px;
    min-height: 0px;
    height: 100%;
}

.left-nav-container.collapsed #LeftNavMenuDiv {
    width: 70px !important;
    transition: width 0.5s;
}

.left-nav-container .dx-treeview-item-content>i.dlt-icon-chevron-down {
    transition: opacity 0.5s;
}

.left-nav-container.collapsed .dx-treeview-item-content>i.dlt-icon-chevron-down {
    opacity: 0;
}

.left-nav-container.collapsed.expanded .dx-treeview-item-content>i.dlt-icon-chevron-down {
    opacity: 1;
}

.left-nav-container .dx-resizable-handle {
    transition: border 0.5s;
}

.left-nav-container:has(.dx-resizable-handle:hover) {
    border-inline-end: 1px solid #CCC;
}

.left-nav-container.collapsed.expanded #LeftNavMenuDiv {
    width: var(--saved-nav-width, 400px) !important;
}

.left-nav-container.collapsed .dx-resizable-handle {
    display: none;
}

#LeftNavMenuDiv .dx-treeview {
    font-size: var(--dlt-font-size-xs, 0.875rem);
    padding-block-end: 3rem;
}

#LeftNavMenuDiv .dx-treeview-node .context-menu {
    opacity: 0;
}

#LeftNavMenuDiv .dx-treeview-item.dx-state-hover .context-menu {
    opacity: 1;
}

.left-nav-container.collapsed #LeftNavMenuDiv .dx-treeview-item.dx-state-hover .context-menu {
    display: none;
}

#LeftNavMenuDiv .dx-treeview.dx-state-disabled {
    opacity: 1;
}

/* Left nav collapse button RTL */

html[dir="rtl"] .collapse-item-wrapper button i {
    transform: rotate(180deg);
}

html[dir="rtl"] .collapse-item-wrapper button i.reverse-chevron {
    transform: none;
}

/* Left nav collapse button RTL end */

.nav-collapse-wrapper {
    position: absolute;
    top: 30px;
    right: 0;
}

@media (max-width: 900px) {
    .nav-collapse-wrapper {
        display: none;
    }
}

.left-nav-container.collapsed .nav-collapse-wrapper {
    padding-inline-end: 1.5rem;
}

.nav-collapse-btn {
    width: 16px;
    height: 16px;
    cursor: pointer;
}

body.dark .nav-collapse-btn-wrapper {
    filter: invert(1);
    border: rgba(0,0,0,0.2) 1px solid;
}

.nav-collapse-btn-wrapper {
    background-color: #edf5ed;
    padding: 4px 4px 3px 4px;
    border-radius: var(--alfa-control-border-radius, 4px);
    position: absolute;
    right: 1rem;
    transition: right 0.3s;
}

html[dir="rtl"] .nav-collapse-btn-wrapper {
    right: unset;
}

.nav-collapse-btn-wrapper.reverse-chevron {
    padding: 3px 4px 4px 4px;
}

.nav-collapse-btn.reverse-chevron {
    transform: rotate(180deg);
}

.main-content {
    background: var(--alfa-main-content-background-color);
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.main-content.is-exporting {
    height: 100%;
}

.main-content.is-exporting:has(.grid-stack-wrapper):not(:has(.split-pane)) {
    height: auto;
}

.main-content.is-exporting .grid-stack-wrapper:not(:has(.is-only-child)) {
    overflow: visible;
    height: auto !important;
}

.main-content.is-exporting .content-area-toolbar-container,
.main-content.is-exporting .breadcrumb-container #breadcrumb_div>span:not(:last-child),
.main-content.is-exporting .ca-cp-prompt,
.main-content.is-exporting .dx-toolbar-after {
    display: none !important;
}

.main-content.is-exporting .dx-scrollable-container {
    scrollbar-width: none;
    -ms-overflow-style: none;
    overflow: -moz-scrollbars-none;
}

/*Task 48925: Include context of the exported page above the content that is exported - as title of the image*/
.main-content.is-exporting .alfa-htmlinput-caption {
    display: none;
}

.main-content.is-exporting .dx-button-content {
    display: none;
}

.main-content.is-exporting .dataQualityHint .dx-button-text {
    text-overflow: unset;
    overflow: unset;
    white-space: unset;
}

.main-content.is-exporting .dataQualityHint .dx-button-content {
    display: inherit;
}

.main-content.is-exporting .content-page-item-menu {
    display: none;
}

.main-content.is-exporting #ContentDiv {
    flex-grow: 1;
}


.main-content.is-exporting .dx-treelist-filter-panel {
   display: none;
}

.main-content.is-exporting .dx-treelist-filter-row {
    display: none;
}

.main-content.is-exporting .cvi-item .cvi-label > * {
    white-space: nowrap; 
}

.main-content.is-exporting .cvi-item .after-export-cleanup.svg-icon {
    width: 100%;
    height: auto;
    margin-inline-end: 0;
}

/* .main-content.is-exporting {
    margin-inline-end: var(--dlt-spacing-half-x, 0.25rem);
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 2px;
    width: 18px;
    height: 18px;
} */

#ContentDiv {
    padding-inline: 1.5rem 1rem;
    overflow: hidden;
    flex-grow: 1;
}

/* ContentDiv button */

/*#ContentDiv .dx-button-normal:not(.dx-button-has-icon):focus,
    #ContentDiv .dx-button-normal:not(.dx-button-has-icon):hover {
        background-color: var(--dlt-buttons-color-interactive-primary-hover,var(--dlt-component-color-interactive-primary-hover,var(--dlt-color-background-interactive-secondary-default,#fff)));
        color: var(--dlt-buttons-color-text-primary,var(--dlt-component-color-text-primary,var(--dlt-color-text-interactive-primary,var(--alfa-palette-blue-130))));
    }*/

/* ContentDiv button end */

/* ContentDiv dropdown */

#ContentDiv .dx-dropdowneditor .dx-dropdowneditor-button:hover,
#ContentDiv .dx-dropdowneditor .dx-dropdowneditor-button {
    color: unset;
    background-color: unset;
    border: unset;
    outline: unset;
}

#ContentDiv .dx-dropdowneditor.dx-dropdowneditor-active .dx-dropdowneditor-icon {
    background-color: unset;
    color: #22608E;
}

/* ContentDiv dropdown end */

.presentation-control-container {
    margin-block-end: 1rem;
    display: flex;
    flex-direction: column;
}

.presentation-control-container > .dataset-toolbar-separator {
    position: unset!important;
    width: 100%;
    flex-grow: 1;
    min-height: 0;
}

.presentation-control-container > .dataset-toolbar-separator > * {
    position: relative!important;
    height: calc(100%)!important;
}

.presentation-control-container .po_toolbar > .dx-toolbar-items-container {
    height: auto;
}

.presentation-control-container .po_toolbar > .dx-toolbar-items-container > * {
    position: unset;
}

.presentation-control-container .po_toolbar .dx-toolbar-after {
    width: 100%;
    display: flex;
    padding-bottom: 6px;
}

.presentation-control-container .po_toolbar .dx-toolbar-after .dx-menu-items-container {
    text-align: right;
}

.presentation-control-container .po_toolbar .dx-toolbar-after > .dx-toolbar-item {
    flex-grow: 1;
}

.presentation-control-container .po_toolbar .dx-toolbar-after > .dx-toolbar-item .dx-menu-horizontal {
    text-align: right;
}



/* Masthead */

/*#main_toolbar_div.dx-toolbar .dx-toolbar-item {
    padding: 0 0 0 0;
}*/

.softwareag-logo-container {
    margin-block-end: 1rem;
}

.softwareag-logo {
    height: 24px;
}

#main_toolbar_div {
    height: 74px;
    position: relative;
    flex: none;
}

#main_toolbar_div.dx-toolbar .dx-toolbar-items-container {
    height: 100%;
    background-color: var(--alfa-masthead-background);
    display: flex;
    border-block-end: var(--alfa-masthead-border-bottom);
}

#main_toolbar_div .masthead-new-btn .dx-button {
    min-width: 32px;
    height: 42px;
    font-size: var(--dlt-font-size-xs, 0.875rem);
    border: 0px;
    border-radius: 0;
    font-weight: 600;        
}

#main_toolbar_div .dx-toolbar-after > div:nth-child(2) {
    margin-inline-start: 4rem;
}

#main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-notifications-button,
#main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-help-button,
#main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-chatbot-button {
    margin-inline-end: 1.5rem;
}

#main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-favourite-button {
    margin-inline-end: 2rem;
}

#main_toolbar_div .dx-menu-item {
    padding-inline-start: 0px;
}

#main_toolbar_div .dx-buttongroup-item.dx-button.dx-button-mode-text.dx-state-focused,
#main_toolbar_div .dx-buttongroup-item.dx-button.dx-button-mode-text.dx-state-hover,
#main_toolbar_div .dx-button-mode-contained.dx-state-hover,
#main_toolbar_div .dx-menu-item.dx-state-hover,
#main_toolbar_div .dx-menu-item.dx-state-active {
    background-color: unset;
}

#main_toolbar_div .dx-toolbar-before {
    display: flex;
    align-items: center;
}

#main_toolbar_div .sys_logo img.dx-icon {
    height: 32px;
    width: auto;
    padding-inline-start: 16px;
}

#main_toolbar_div .dx-button-has-icon .dx-icon {
    font-size: 18px;
}

#main_toolbar_div .masthead-new-btn .dx-button-has-icon .dx-button-content {
    color: var(--alfa-masthead-new-button-color);
}

#main_toolbar_div .masthead-new-btn .dx-button-has-icon .dx-button-content i.dx-icon {
    font-size: 14px;
    color: var(--alfa-masthead-new-button-color);
    width: 18px;
    height: 16px;
}

#main_toolbar_div .masthead-new-btn .dx-button-has-icon .dx-button-content .dx-button-text {
    transform: translateY(0.5px);
}

#main_toolbar_div .alfa-masthead-notifications-button .dx-button-mode-contained.dx-state-hover {
    background-color: unset;
}

#main_toolbar_div .masthead-new-btn .dx-buttongroup-item.dx-button.dx-button-mode-contained:not(.dx-item-selected) {
    background-color: var(--alfa-masthead-new-button-background-color);
    border-radius: var(--alfa-control-border-radius, 4px);
    padding-left: 8px;
    padding-right: 10px;
    transition: background-color 0.3s;
}

#main_toolbar_div .masthead-new-btn .dx-buttongroup-item.dx-button.dx-button-mode-contained:not(.dx-item-selected):hover {
    background-color: #9A4320;
}

    #main_toolbar_div #Search1 {
        background: var(--alfa-masthead-background);
        border-radius: var(--alfa-control-border-radius, 4px) 0 0 var(--alfa-control-border-radius, 4px);
        border-inline-end: 0;
        border-color: var(--alfa-control-border-color-primary-default, #D8DDEF);
    }

    #main_toolbar_div #Search1 .spinner{
        position: absolute;
        top: 12px;
        right: 10px;
    }

#main_toolbar_div:not(.is-keyboard-navigation) #Search1.focused input {
    height: calc(100% - 4px);
    margin-top: 2px;
}

#main_toolbar_div:not(.is-keyboard-navigation) #Search1.focused:before {
    content: '';
    position: absolute;
    top: -1px;
    left: -1px;
    right: -1px;
    bottom: -1px;
    border: 2px solid var(--alfa-masthead-search-border-selected, #1D5077);
    pointer-events: none;
    border-inline-end: 0;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

    #main_toolbar_div #SearchCategory1 {
        background: var(--alfa-masthead-background);
        border-radius: 0 var(--alfa-control-border-radius, 4px) var(--alfa-control-border-radius, 4px) 0;
        border-inline-start: 0;
        border-color: var(--alfa-control-border-color-primary-default, #D8DDEF);
    }

#main_toolbar_div:not(.is-keyboard-navigation) #SearchCategory1.focused input {
    height: calc(100% - 4px);
    margin-top: 2px;
}

#main_toolbar_div:not(.is-keyboard-navigation) #SearchCategory1.focused:before {
    content: '';
    position: absolute;
    top: -1px;
    left: -1px;
    right: -1px;
    bottom: -1px;
    border: 2px solid var(--alfa-masthead-search-border-selected, #1D5077);
    pointer-events: none;
    border-inline-start: 0;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

#main_toolbar_div #Search1 .dx-button-has-icon .dx-icon {
    font-size: 14px;
    font-weight: 600;
    color: var(--alfa-text-color-primary);
    padding-inline-start: 8px;
}

#main_toolbar_div #Search1 .dx-placeholder {
    font-size: var(--dlt-font-size-sm, 1rem);
    /*color: var(--alfa-text-color);*/
    font-weight: 500;
}

#main_toolbar_div #Search1 .dx-texteditor-input-container::after {
    content: "";
    background-color: var(--alfa-control-border-color-primary-default, #D8DDEF);
    right: 0;
    top: 10px;
    bottom: 10px;
    width: 1px;
    position: absolute;
}

.masthead-drop-down [role="listbox"] .dx-item-content {
    font-size: var(--dlt-font-size-xs, 0.875rem);
    font-weight: 600;
}


#main_toolbar_div .dx-toolbar-before {
    padding-inline-start: 1.25rem;
}

#main_toolbar_div .dx-toolbar-before,
#main_toolbar_div .dx-toolbar-after {
    position: relative;
    flex-basis: 0%;
    flex-grow: 1;
}

#main_toolbar_div .dx-toolbar-after {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

#main_toolbar_div .dx-toolbar-center {
    flex-basis: 30%;
    display: flex;
    align-items: center;
}

#main_toolbar_div .dx-toolbar-after .dx-menu-item.dx-state-hover,
.dx-treeview-item.dx-state-hover {
    outline: 0;
}

#main_toolbar_div .dx-toolbar-before:empty {
    display: none;
}

#main_toolbar_div .dx-toolbar-center {
    margin: 0 !important;
    float: none !important;
}

#main_toolbar_div .dx-toolbar-center .dx-toolbar-item {
    padding: 0;
}


#main_toolbar_div .dx-toolbar-after .dx-context-menu-container-border {
    border: 0px
}

#main_toolbar_div .dx-toolbar-after .dx-menu .dx-menu-item-expanded {
    background-color: transparent;
}

.dx-context-menu-content-delimiter {
    background-color: transparent;
}

    .dx-context-menu-content-delimiter::before {
        background-color: var(--alfa-background-color-primary);
    }

.dx-context-menu-container-border {
    border: 1px solid var(--alfa-border-color-primary);
}

/* Masthead Profile */

/* [data-id='ProfileSwitcher'].dx-dropdowneditor-active .profile-switcher-item-text .dx-texteditor-input {
    color: var(--alfa-masthead-profile-switcher-text-selected, #1D5077);
} */

/*.profile-switcher-dropdown .dx-list-item {
    padding: 0.5rem 1rem;
}*/

.profile-switcher-dropdown .dx-overlay-content {
    transform: translate(-3px, 36px) !important;
}

.profile-switcher-dropdown .dx-item {
    border-block-end: 1px solid var(--alfa-control-border-color-primary-default, #D8DDEF);
}

.profile-switcher-item-text-container {
    display: flex;
    margin-block-end: 1rem;
}

.profile-switcher-item-description {
    white-space: normal;
    font-size: var(--dlt-font-size-xs, 0.875rem);
    font-weight: 400;
    line-height: 16px;
}

.profile-switcher-item-content .profile-switcher-item-text {
    font-weight: 600;
    font-size: var(--dlt-font-size-xs, 0.875rem);
}

.profile-switcher-icon {
    padding-inline-end: 5px;
    font-size: var(--dlt-font-size-md, 1.125rem);
}

.profile-switcher-item {
    /*padding-block-end: 5px;*/
    display: flex;
    flex-wrap: wrap;
    height: 100%;
}

.profile-switcher-item-content {
    display: inline-flex;
    flex-direction: column;
    flex: 10 0 0;
}

.profile-switcher-item-text .dx-texteditor-input {
    font-size: var(--dlt-font-size-sm, 1rem);
    font-weight: 600;
}

[data-id~="ProfileSwitcher"] .dx-texteditor-input,
[data-id~="ProfileSwitcher"] .dx-dropdowneditor-button .dx-dropdowneditor-icon,
[data-id~="ProfileSwitcher"] .dx-dropdowneditor-active .dx-dropdowneditor-icon,
[data-id~="ProfileSwitcher"] .dx-dropdowneditor-icon {
    color: var(--alfa-masthead-font-color);
}

[data-id~="ProfileSwitcher"] input {
    pointer-events: none;
    user-select: none;
}

[data-id~="ProfileSwitcher"] input::selection {
    background-color: transparent;
    color: inherit;
}

[data-id~="ProfileSwitcher"] .dx-texteditor-label .dx-label span {
    color: var(--alfa-masthead-font-color);
}

/* Masthead Search */
[data-sid~="SearchBox"] .dx-list-item {
    color: var(--alfa-text-color-primary);
}

[data-sid~="SearchBox"]:has([aria-activedescendant]) .dx-state-focused {
    position: relative;
}

[data-sid~="SearchBox"]:has([aria-activedescendant]) .dx-state-focused:after {
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 5px;
    border: 2px solid var(--alfa-masthead-search-border-selected, #1D5077);
    pointer-events: none;
}

.dx-searchbox .dx-state-disabled.dx-widget,
.dx-searchbox .dx-state-disabled.dx-button .dx-icon,
.search-box.dx-state-disabled.dx-widget,
.search-box.dx-button-has-icon .dx-button-content i.dx-icon,
.search-box.dx-button-mode-text.dx-button-default .dx-icon,
[data-id~="SearchBox"] .dx-button-has-icon .dx-button-content i.dx-icon,
[data-id~="SearchBox"] .dx-button-mode-text.dx-button-default .dx-icon,
[data-id~="SearchBox"] .dx-state-disabled.dx-widget {
    opacity: 1;
    color: var(--alfa-text-color-primary);
}

.search-results-items-container {
    display: flex;
    font-size: var(--dlt-font-size-xs, 0.875rem);
}

.search-results-item-content-left {
    flex-basis: 10%;
    color: var(--dlt-color-text-interactive-primary, #058192);
}

.search-results-item-content-center {
    flex-grow: 1;
    text-overflow: ellipsis;
    overflow: hidden;
}

.search-results-item-content-right {
    flex-grow: 0;
    padding-block: 2px;
    padding-inline: 5px;
    text-align: end;
    color: var(--dlt-color-text-static-inverse);
    font-size: var(--dlt-font-size-xs, 0.875rem);
}

.status-active {
    background-color: var(--dlt-color-system-message-success);
}

.status-plan {
    background-color: var(--dlt-color-system-message-info);
}

.status-retired {
    background-color: var(--dlt-color-system-message-error);
}

[data-id~="search1"] .dx-state-disabled.dx-widget,
[data-id~="search1"] .dx-state-disabled.dx-button .dx-icon {
    opacity: 1;
}

/* End Masthead Search */

.no-border .dx-button {
    border-style: none;
}

#main_toolbar_div .dx-texteditor.dx-editor-filled {
    border: 1px solid transparent;
    border-radius: 4px;
    background: rgba(0, 0, 0, 0);
}

.dx-button-has-icon i.dx-icon {
    width: auto;
    height: auto;
    font-size: var(--dlt-font-size-xl, 1.375rem);
    line-height: 20px;
}

.dx-button-has-icon i.dx-icon.dx-gantt-i {
    width: 14px;
    height: 14px;
}

/*start user menu*/
[data-id~="userMenu1"] .dx-menu-item-popout-container {
    display: none;
}

[data-id~="userMenu1"] .dx-menu-item-content img {
    border-radius: 50%;
    height: 32px;
    width: 32px;
    outline: 1.5px solid #88c59c;
    transition: outline 0.1s;
}

[data-id~="userMenu1"] .dx-menu-item-content:hover img {
    outline: 2px solid #39a0ed;
}

[data-id~="userMenu1"] .dx-menu-item-content:active img {
    outline: 2px solid #1d5077;
}

#main_toolbar_div [data-id~="userMenu1"] .dx-menu-item-content .dx-menu-item-text {
    background: var(--dlt-color-palette-gray-350, #36597D);
    border-radius: 50%;
    height: 32px;
    width: 32px;
    line-height: 26px;
    display: inline-block;
    text-align: center;
    padding: 3px 0;
    font-size: 12px;
    font-weight: 500;
    color: var(--dlt-color-text-static-inverse);
    text-transform: uppercase;
}

/*[data-id~="userMenu1"] .dx-menu-item-text {
    color: var(--alfa-txt-color);
}*/
/*end user menu*/

#main_toolbar_div .dx-toolbar-before .dx-item:first-child {
    width: 240px;
}

#main_toolbar_div .dx-toolbar-after .dx-button:hover {
    /*outline: 2px var(--dlt-color-palette-white) solid;*/
    border-radius: var(--dlt-border-radii-default, 0);
}

.dx-toolbar-button .dx-menu .dx-menu-item {
    border: 0;
    border-radius: var(--dlt-border-radii-default, 0);
}

.dx-menu .dx-menu-item-has-icon.dx-menu-item-has-submenu .dx-icon,
.dx-menu.dx-rtl .dx-menu-item-has-icon.dx-menu-item-has-submenu .dx-icon {
    margin: 0;
}

/* Masthead New button */

.masthead-new-item {
    display: flex;
}

.masthead-new-item .dx-list-item-icon-container {
    margin-block-start: 2px;
}

.masthead-new-item-text {
    flex-grow: 1;
}

.masthead-new-item-kb-shortcut-text {
    text-align: end;
    font-size: 0.75rem;
    font-weight: 500;
}

/*start masthead icon*/
#main_toolbar_div .dx-button-has-icon.dx-item-content:not(.dx-button-has-text) i.dx-icon,
#main_toolbar_div .dx-button-has-icon .dx-button-content i.dx-icon {
    color: var(--alfa-masthead-font-color);
}

#main_toolbar_div .dx-button-has-icon .dx-button-content i.dx-icon.dlt-icon-search {
    color: unset;
}

#main_toolbar_div .dx-button-has-icon .dx-button-content .alfa-icon-notification {
    position: relative;
}

#main_toolbar_div .dx-button-has-icon .dx-button-content .alfa-icon-notification-new {
    position: relative;
    inset-block-start: -3px;
    inset-inline-start: -8px;
    font-size: 0.4em;
    color: transparent;
}

#main_toolbar_div .alfa-has-new-notifications .dx-button-has-icon .dx-button-content .alfa-icon-notification-new {
    color: var(--alfa-palette-orange-100);
    border: var(--dlt-border-width-hover) var(--dlt-border-style-hover) var(--dlt-color-palette-gray-200);
    background-color: var(--dlt-color-palette-gray-200);
    border-radius: 50%;
}

#main_toolbar_div .dx-button-has-icon .dx-button-content i.dx-icon-plus {
    color: var(--alfa-masthead-background);
}

/*end masthead icon*/

/* End Masthead */

.btn-close {
    position: absolute;
    inset-inline-end: 0;
    inset-block-start: 0;
    background: transparent;
    border: none;
}

/* Left Nav */

.left-nav-container .product-logo {
    padding: 1.5rem 10px 1.5rem 14px;
}

.product-logo.dx-button-has-icon .dx-icon {
    height: 32px;
    width: auto;
}

#LeftNavMenuDiv .dx-treeview-node {
    padding: 0;
}

#LeftNavMenuDiv .dx-treeview .dx-empty-message {
    padding-left: 1.5rem;
}

#LeftNavMenuDiv .svg-icon {
    flex: none;
    width: 18px;
    height: 18px;
    padding: 0!important;
    margin-inline-end: 4px;
}

#LeftNavMenuDiv .dx-treeview.dx-rtl .dx-treeview-node {
    padding: 0;
}

#LeftNavMenuDiv .dx-treeview-item {
    height: 42px;
    line-height: 42px;
    position: relative;
    min-height: 28px;
    white-space: nowrap;
    width: 100%;
}

#LeftNavMenuDiv .dx-treeview-node:has(.separator-item) {
    border-block-end: 1px solid var(--alfa-border-color-primary);
    padding-bottom: 8px;
}

/*PLAN-32330*/
#LeftNavMenuDiv .dx-treeview-node>.dx-treeview-item {
    padding-block: 0 0;
}

#LeftNavMenuDiv .dx-treeview-node>.dx-treeview-item {
    padding-inline: 8px;
}

.left-nav-container.collapsed #LeftNavMenuDiv .dx-treeview-node[aria-level="1"]>.dx-treeview-item {
    padding-inline: 8px;
}

.left-nav-container.collapsed #LeftNavMenuDiv .dx-treeview-node>.dx-treeview-item:not(:has(.svg-icon)) .dx-treeview-item-content .context-menu {
    display: none;
}

.left-nav-container.collapsed.expanded #LeftNavMenuDiv .dx-treeview-node[aria-level="1"]>.dx-treeview-item {
    padding-inline: 8px;
}

.left-nav-container.collapsed #LeftNavMenuDiv .dx-searchbox {
    transition: opacity 0.5s;
}

.left-nav-container.collapsed #LeftNavMenuDiv .dx-searchbox {
    opacity: 0;
}

.left-nav-container.collapsed.expanded #LeftNavMenuDiv .dx-searchbox {
    opacity: 1;
}

.left-nav-container.collapsed .nav-collapse-btn-wrapper {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;
}

.left-nav-container.collapsed.expanded .nav-collapse-btn-wrapper {
    opacity: 1;
    transition-delay: 0.3s;
    pointer-events: auto;
}

#LeftNavMenuDiv .dx-treeview-node>.dx-treeview-item .dx-treeview-item-content {
    padding-inline: 1rem;
    color: var(--alfa-masthead-font-color);
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="1"]>.dx-treeview-item {
    font-weight: 600;
    font-size: 16px;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="1"]:not(:last-child) {
    margin-bottom: 8px;
}

#LeftNavMenuDiv .dx-treeview-node {
    position: relative;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="2"]:before {
    content: "";
    border-left: 1px solid var(--alfa-border-color-primary);
    position: absolute;
    left: 34px;
    height: 100%;
    pointer-events: none;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="2"]>.dx-treeview-item {
    padding-left: 43px;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="3"]>.dx-treeview-item {
    padding-left: 72px;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="3"]:before {
    content: "";
    border-left: 1px solid var(--alfa-border-color-primary);
    position: absolute;
    left: 64px;
    height: 100%;
    pointer-events: none;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="4"]>.dx-treeview-item {
    padding-left: 104px;
}

#LeftNavMenuDiv .dx-treeview-node[aria-level="5"]>.dx-treeview-item {
    padding-left: 124px;
}

#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected>.dx-treeview-item {
    background-color: unset;
}

#LeftNavMenuDiv .dx-treeview-item-without-checkbox>.dx-treeview-item.dx-state-hover,
#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-focused>.dx-treeview-item {
    /*background-color: var(--dlt-color-background-interactive-navigation-menu-item-secondary-selected);*/
    background-color: unset;
    color: unset;
}

#LeftNavMenuDiv .dx-treeview-item-without-checkbox>.dx-treeview-item.dx-state-hover .dx-treeview-item-content {
    background-color: var(--alfa-background-primary-hover, #EDF5FB);
    color: var(--alfa-left-nav-hover-text-color);
}

#LeftNavMenuDiv .dx-treeview-item-without-checkbox>.dx-treeview-item.dx-state-hover .dx-treeview-item-content .svg-icon {
    background-color: var(--alfa-left-nav-hover-text-color) !important;
}

/* 45595 - Commented temporarily after discussion with PLM. Might be changed or removed later - start */

/*#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item.dx-state-hover .dx-treeview-item-content {
    background-color: var(--alfa-background-primary-selected, #1D5077);
    color: unset;
}
*/
/*#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item.dx-state-hover .dx-treeview-item-content span {
    color: #fff;
}*/

/* 45595 - Commented temporarily after discussion with PLM. Might be changed or removed later - end */

#LeftNavMenuDiv .dx-treeview-item-without-checkbox>.dx-treeview-item .dx-treeview-item-content {
    background-color: unset;
    color: var(--alfa-masthead-font-color);
    position: relative;
}

#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item .dx-treeview-item-content,
#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item.alfa-link .dx-treeview-item-content,
/*#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-focused > .dx-treeview-item .dx-treeview-item-content,*/
#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item .dx-treeview-item-content .context-menu .dx-menu-item .dx-item-content,
#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-focused > .dx-treeview-item .dx-treeview-item-content .context-menu .dx-menu-item .dx-item-content {
    background-color: unset;
    color: var(--alfa-text-color-primary-selected, #39A0ED);
}

    #LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item .dx-treeview-item-content .svg-icon,
    #LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-selected > .dx-treeview-item.alfa-link .dx-treeview-item-content .svg-icon
    /*,
    #LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-focused > .dx-treeview-item .dx-treeview-item-content .svg-icon */ {
        background-color: var(--alfa-text-color-primary-selected, #39A0ED) !important;
    }

/*#LeftNavMenuDiv .dx-treeview-item-without-checkbox.dx-state-focused > .dx-treeview-item::before {
        position: absolute;
        inset-block-start: 0;
        inset-inline-start: 0;
        background-color: var(--dlt-color-background-static-contrast,--dlt-color-palette-teal-300);
        height: 100%;
        width: var(--dlt-spacing-half-x,.25rem);
        content: "";
    }*/

#LeftNavMenuDiv .dx-treeview-item-content {
    display: flex;
    align-items: center;
}

#LeftNavMenuDiv .dx-treeview-item-content>i.dlt-icon-chevron-down.dlt-chevron-transform {
    transform: rotate(180deg);
}


/* View Panel */

.viewpanel {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.viewpanel-selector {
    height: 80%;
    display: flex;
    flex-direction: column;
}

.viewpanel-selector .alfa-control-with-label {
    margin-block-start: -20px;
}

.alfa-control-with-label.alfa-control-invisible,
.alfa-control-invisible {
    display: none;
}

.vphead {
    /*margin-block: 1rem;*/
    font-size: 1.5rem;
    font-weight: var(--dlt-font-weight-medium, 500);
}

.dataQualityHint {
    font-size: 14px;
    font-weight: 600;
    border: 0;
    background: unset;
}

.dataQualityHint.dx-button-mode-contained.dx-button-normal:not(.dx-button-has-icon, .dx-calendar-caption-button) {
    color: unset;
}

.breadcrumb-container .dataQualityHint.dx-button-normal:not(.dx-button-has-icon):focus,
.breadcrumb-container .dataQualityHint.dx-button-normal:not(.dx-button-has-icon):hover {
    background: unset !important;
}

.breadcrumb-container .dataQualityHint.dx-button {
    padding: 0;
}

.breadcrumb-container .dataQualityHint span {
    padding: 2px 8px 0 8px;
    border-radius: 20px;
}

.content-page-item-header .dataQualityHint {
    font-size: 1rem;
    border-radius: 20px;
    margin-inline-start: 8px;
    padding: 2px 12px;
}

#ContentDiv>.viewpanel>.vphead>span {
    display: block;
}

.vpheadsubcaption {
    display: block;
    font-size: var(--dlt-font-size-xs, 0.875rem);
    overflow: hidden;
    text-overflow: ellipsis;
}

.vpheadsubcaptionsubview {
    display: block;
    font-size: var(--dlt-font-size-xs, 0.875rem);
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: normal;
}

.vpcont {
    position: relative;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.vpcont > .dx-multiview {
    flex-grow: 1;
}


/* Stack Layout */

/* Common */

.stack-layout {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    height: auto;
}

.stack-layout.wslp {
    gap: .5rem !important;
}

.panel_control>.stack-layout {
    width: 100% !important;
}

.panel_control.hpp>.stack-layout {
    padding-inline-start: 1em;
    padding-inline-end: 1em;
}


.stack-layout .dx-textbox {
    height: 40px;
}

.stack-layout .dx-textbox .dx-texteditor-input {
    font-size: var(--dlt-font-size-xs, 0.875rem);
    height: 40px;
}

.stack-layout .dx-htmleditor .dx-textbox .dx-texteditor-input {
    font-size: 12px;
}

.stack-layout .dx-textbox.dx-textarea {
    height: 200px;
}

.stack-layout .dx-textbox.dx-textarea .dx-texteditor-input {
    height: 200px;
}



.stack-layout .dx-htmleditor {
    height: 250px;
    border: 1px solid var(--alfa-forms-color-border-input-default);
}

.stack-layout .alfa-group-box {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    height: auto !important;
    padding-block: 2rem;
    padding-inline: 1rem;
    /* width: 500px;*/
}

.stack-layout .alfa-list {
    max-height: 400px;
}

.alfa-group-box .stack-layout {
    width: 100% !important;
}


.stack-layout .dlt-icon-calendar {
    line-height: 2.5 !important;
}

.stack-layout .presentation-wrapper {
    min-height: 200px;
    height: auto !important;
    max-height: 600px;
}

.stack-layout .dataset-toolbar-separator {
    position: relative !important;
    inset-block: 20px 0 !important;
}

.stack-layout .dx-gridbase-container {
    max-height: 600px;
}

/* Tab */

.tab_content {
    margin-block-start: 1rem;
    padding-block-end: 0.313rem;
}

.stack-layout .tab_content {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
    position: relative !important;
    margin-block-start: 2.5rem;
}

/* Without Tab */

.stack-layout.editor-without-tab .vpcont {
    margin-block-start: 1rem;
}

.stack-layout .panel_control {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
    height: auto !important;
}


@media (max-width: 1446px) {
    #main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-notifications-button {
        margin-inline-start: 1rem;
    }

    #main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-notifications-button,
    #main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-help-button {
        margin-inline-end: 0.5rem;
    }

    #main_toolbar_div .dx-toolbar-after .dx-item.alfa-masthead-favourite-button {
        margin-inline-end: 1rem;
    }

    #LeftNavMenuDiv {
        width: 290px;
    }

    #main_toolbar_div .dx-toolbar-before .dx-item:first-child {
        width: 190px !important;
    }

    #main_toolbar_div #Search1 {
        width: auto !important;
        min-width: 100px;
    }

    #main_toolbar_div .dx-toolbar-before,
    #main_toolbar_div .dx-toolbar-after {
        flex-grow: 0;
    }

    #main_toolbar_div .dx-toolbar-center {
        flex-grow: 1;
        justify-content: center;
    }

    #main_toolbar_div #SearchCategory1 {
        width: auto !important;
        min-width: 50px;
    }

    #content-area-toolbar.dx-toolbar .dx-button {
        min-width: unset !important;
    }

    #content-area-toolbar .dx-toolbar-item .dx-toolbar-item-content .ca-toolbar-more::after {
        right: unset;
        left: 0px;
    }

    #content-area-toolbar .ca-toolbar-more {
        position: relative;
        min-width: 100px;
        padding-left: 24px;
    }

    #content-area-toolbar .dx-button-mode-contained.dx-button-default.ca-btn-sortable .dx-button-text,
    #content-area-toolbar .dx-button-mode-contained.dx-button-normal.ca-btn-sortable .dx-button-text {
        padding-inline: 24px;
    }
}

@media (max-width: 1024px) {
    #LeftNavMenuDiv {
        width: 240px;
    }
}

.alfa-textarea-placeholder {
    position: absolute;
    top: 10px;
    left: 8px;
    color: #aaa;
    pointer-events: none;
    white-space: pre-line;
    height: 80%;
    overflow: hidden;
    z-index: 2
}

.alfa-textarea-placeholder.alfa-textarea-placeholder-hide {
    display: none;
}

/* Stack Layout End */